#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  kdenlive-25.12.2

- Next

  khelpcenter-25.12.2

- Up
- Home

# KMix-25.12.2

## Introduction to KMix

The KMix package contains a KDE Frameworks-based Sound Mixer that integrates nicely with Plasma.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/kmix-25.12.2.tar.xz

- Download MD5 sum: 67d6f9f785accb91ffb310c026188e3e

- Download size: 1.1 MB

- Estimated disk space required: 24 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### KMix Dependencies

#### Required

KDE Frameworks-6.23.0

#### Recommended

alsa-lib-1.2.15.3

#### Optional

libcanberra-0.30 and PulseAudio-17.0

## Installation of KMix

Install KMix by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkmixcore.so
Installed Directories: $KF6_PREFIX/share/kmix and $KF6_PREFIX/share/doc/HTML/*/kmix

### Short Descriptions

kmix | is a small audio mixer for KDE that integrates into Plasma
kmixctrl | is used to save and/or restore the settings that kmix has set
kmixremote | is a utility to mute, get, or set volume levels on the system. It can be run over SSH to adjust the volume on a remote system

- Prev

  kdenlive-25.12.2

- Next

  khelpcenter-25.12.2

- Up
- Home